Subject: RE: B19.1: tar -u option under NT 4.0 SP3 does not update properl y
From: [email-masked] (Andrew Dalgleish)

13 Jul 1998 09:42:42 -0700
Message-ID: <[email-masked]>
To: [email-masked]

> -----Original Message-----
> From:	Lavictoire, Jacques [SMTP:[email-masked]]
> Sent:	1998 July 10, Friday 23:24
> To:	[email-masked]; Jacques Lavictoire;
> [email-masked]'
> Subject:	RE: B19.1: tar -u option under NT 4.0 SP3 does not
> update properly
> 
> Thanks for the information on the FAT problem  but these files are on
> an
> NTFS filesystem.
> 
> Thanks
> 
> Jack
> 
> 
> 
> > ----------
> > From: 	Earnie Boyd[SMTP:[email-masked]]
> > Reply To: 	[email-masked]
> > Sent: 	Friday, July 10, 1998 9:15 AM
> > To: 	[email-masked]; Jacques Lavictoire
> > Subject: 	Re: B19.1: tar -u option under NT 4.0 SP3 does not
> > update properly
> > 
> > 
> > On a FAT filesystem there is only one timestamp and that is the date
> > of last access.  Therefore, when tar accesses the file it updates
> the
> > timestamp to the file and then will think that it has been modified.
[Andrew Dalgleish]  
FAT16 holds the last modification time, not the last access.
A file system which only tracked the last access would break MAKE in a
big way. :-)

> > 
> > 
> > 
> > ---Jacques Lavictoire <[email-masked]> wrote:
> > >
> > > Hi,
> > > 
> > >     I'm new to gnu-win32 so it might just be me but repeating a
> tar
> > job
> > > with -u should update only if the files are newer then the
> previous
> > > tarred files correct . But it keeps adding the files but they are
> > all
> > > the same set of files exactly. An example is as follows
> > > 
> > > bash-2.01$ tar -v -u /temp/ati/* -f /temp/test1.tar
> > > tar: Removing leading `/' from absolute path names in the archive
> > > temp/ati/DE5110C1.EXE
> > > temp/ati/MAKEDISK.BAT
> > > temp/ati/MAKEDISK.PIF
> > > bash-2.01$ tar -v -u /temp/ati/* -f /temp/test1.tar
> > > tar: Removing leading `/' from absolute path names in the archive
> > > temp/ati/DE5110C1.EXE
> > > temp/ati/MAKEDISK.BAT
> > > temp/ati/MAKEDISK.PIF
> > > bash-2.01$ tar -v -u /temp/ati/* -f /temp/test1.tar
> > > tar: Removing leading `/' from absolute path names in the archive
> > > temp/ati/DE5110C1.EXE
> > > temp/ati/MAKEDISK.BAT
> > > temp/ati/MAKEDISK.PIF
> > > 
> > > After this you would expect, if I'm reading the help on tar
> > properly,
> > > that I should only have one copy of the files since they haven't
> > changed
> > > at all. Is this a problem ?
[Andrew Dalgleish]  
tar should only output the names of the files it actually updates, so
something is wrong.
There will be only one copy of each file in the .tar though...

I haven't been able to reproduce your problem, but here's a few
suggestions:

Do you have the environment variable "TZ" set to include a daylight
savings flag (ie "PST8PDT" instead of "PST8")?
This may conflict with the Win95/WinNT daylight savings flag.
You will need this set if you run anything compiled with early versions
of Microsoft's C/C++ compiler (I think it's 6 or earlier).
You will want this cleared if you run anything compiled with later
versions.
E.g. the clock in the status bar in DevStudio 97 displays an hour out,
and NMAKE keeps rebuilding everything.

Is the "/temp" directory mounted from another PC?

If so,
Do both PC's have the same timezone?

Do both PC's have the same daylight-saving flag?

Are the starting/ending dates for daylight savings in the Win95/WInNT
time zone correct for your location?
For example, I'm in Melbourne, Vic., Australia.
NT 4 has the "Brisbane Melbourne Sydney" zone has the ending date
incorrect.
Win95B's "Canberra, Melbourne, Sydney" has the dates correct (for VIC
anyway).
Win95's "Canberra, Melbourne, Sydney" has both dates incorrect.
If you need to edit them, TZEDIT for WinNT is in the resource kit and
TZEDIT for Win95 is in the "KernelToys".

Regards,
Andrew Dalgleish

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".